function [Data, Units, FPoints] = BinReadAll(PathName)
% -------------------------------------------------------------------------
% BIN file Opening -------------------------------------------------------- 
fileID = fopen(PathName,'r');

% Read Frequency Points ---------------------------------------------------
fseek(fileID, -4, 'eof');                   % Last float position - FreqPts 
FPoints = fread(fileID, 1, 'float');        % Read Frequency points count

% Read Data ---------------------------------------------------------------
fseek(fileID, 0, 'bof');                    % Begin of file position
Data = fread(fileID, [FPoints, Inf], 'float');  % Read Spectrum data
RowsCount = length(Data(FPoints, :));       % Read rows count
Data(:, RowsCount) = [];                    % Delete last row with units

% Read Units --------------------------------------------------------------
fseek(fileID, (FPoints*(RowsCount - 1)*4), 'bof');  % Last row position
Units = char(fread(fileID, 9, 'char')');    % Read units from last row
end
